diff --git a/changelog b/changelog
index a99ea36..30d3d4e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20100724 tpd src/axiom-website/patches.html 20100724.02.tpd.patch
+20100724 tpd src/input/richalgebraic300-399.input remove long running integral
 20100724 tpd src/axiom-website/patches.html 20100724.01.tpd.patch
 20100724 tpd books/bookvolbib add Taivalsaari [Tai96]
 20100723 tpd src/axiom-website/patches.html 20100723.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6594436..118cf54 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3008,5 +3008,7 @@ books/bookvolbib add Mielenz [Mie97], [Mie00]<br/>
 src/share/algebra/libaxiom.al removed<br/>
 <a href="patches/20100724.01.tpd.patch">20100724.01.tpd.patch</a>
 books/bookvolbib add Taivalsaari [Tai96]<br/>
+<a href="patches/20100724.02.tpd.patch">20100724.02.tpd.patch</a>
+src/input/richalgebraic300-399.input remove long running integral<br/>
  </body>
 </html>
diff --git a/src/input/richalgebraic300-399.input.pamphlet b/src/input/richalgebraic300-399.input.pamphlet
index d90afda..baab207 100644
--- a/src/input/richalgebraic300-399.input.pamphlet
+++ b/src/input/richalgebraic300-399.input.pamphlet
@@ -14547,48 +14547,17 @@ r0382:= acot((-x^2+(1+x^4)^(1/2))^(1/2)/x)
 --R                                                     Type: Expression Integer
 --E 448
 
---S 449 of 486
-a0382:= integrate(t0382,x)
---R 
---R
---R                          +------+
---R                        2 | 4          4
---R                      8x \|x  + 1  - 9x  - 1
---R          atan(------------------------------------)
---R                                   +--------------+
---R                   +------+        | +------+
---R                   | 4          3  | | 4         2
---R               (4x\|x  + 1  - 8x )\|\|x  + 1  - x
---R   (417)  ------------------------------------------
---R                               4
---R                                          Type: Union(Expression Integer,...)
+
+--S 449 of 486 We get it correct but it takes too long
+--a0382:= integrate(t0382,x)
 --E 449
 
 --S 450 of 486
-m0382:= a0382-r0382
---R 
---R
---R   (418)
---R                                                       +--------------+
---R                   +------+                            | +------+
---R                 2 | 4          4                      | | 4         2
---R               8x \|x  + 1  - 9x  - 1                 \|\|x  + 1  - x
---R   atan(------------------------------------) - 4acot(-----------------)
---R                            +--------------+                  x
---R            +------+        | +------+
---R            | 4          3  | | 4         2
---R        (4x\|x  + 1  - 8x )\|\|x  + 1  - x
---R   ---------------------------------------------------------------------
---R                                     4
---R                                                     Type: Expression Integer
+--m0382:= a0382-r0382
 --E 450
 
 --S 451 of 486
-d0382:= D(m0382,x)
---R 
---R
---R   (419)  0
---R                                                     Type: Expression Integer
+--d0382:= D(m0382,x)
 --E 451
 
 --S 452 of 486
@@ -14597,7 +14566,7 @@ t0383:= (1+x^(7/2))/(1-x^2)
 --R
 --R             3 +-+
 --R          - x \|x  - 1
---R   (420)  ------------
+--R   (417)  ------------
 --R              2
 --R             x  - 1
 --R                                                     Type: Expression Integer
@@ -14609,7 +14578,7 @@ r0383:= -2*x^(1/2)-2/5*x^(5/2)+atan(x^(1/2))+atanh(x^(1/2))+atanh(x)
 --R
 --R                  +-+           +-+         2       +-+
 --R          5atanh(\|x ) + 5atan(\|x ) + (- 2x  - 10)\|x  + 5atanh(x)
---R   (421)  ---------------------------------------------------------
+--R   (418)  ---------------------------------------------------------
 --R                                      5
 --R                                                     Type: Expression Integer
 --E 453
@@ -14620,7 +14589,7 @@ a0383:= integrate(t0383,x)
 --R
 --R                   +-+                +-+         2       +-+
 --R          - 10log(\|x  - 1) + 10atan(\|x ) + (- 4x  - 20)\|x  + 5log(x + 1)
---R   (422)  -----------------------------------------------------------------
+--R   (419)  -----------------------------------------------------------------
 --R                                          10
 --R                                          Type: Union(Expression Integer,...)
 --E 454
@@ -14631,7 +14600,7 @@ m0383:= a0383-r0383
 --R
 --R                  +-+                +-+
 --R          - 2log(\|x  - 1) - 2atanh(\|x ) + log(x + 1) - 2atanh(x)
---R   (423)  --------------------------------------------------------
+--R   (420)  --------------------------------------------------------
 --R                                      2
 --R                                                     Type: Expression Integer
 --E 455
@@ -14640,7 +14609,7 @@ m0383:= a0383-r0383
 d0383:= D(m0383,x)
 --R 
 --R
---R   (424)  0
+--R   (421)  0
 --R                                                     Type: Expression Integer
 --E 456
 
@@ -14649,7 +14618,7 @@ t0384:= 1/(1+3*x^(1/2))/x
 --R 
 --R
 --R               1
---R   (425)  ----------
+--R   (422)  ----------
 --R             +-+
 --R          3x\|x  + x
 --R                                                     Type: Expression Integer
@@ -14661,7 +14630,7 @@ r0384:= -2*log(3+1/x^(1/2))
 --R
 --R                   +-+
 --R                 3\|x  + 1
---R   (426)  - 2log(---------)
+--R   (423)  - 2log(---------)
 --R                     +-+
 --R                    \|x
 --R                                                     Type: Expression Integer
@@ -14672,7 +14641,7 @@ a0384:= integrate(t0384,x)
 --R 
 --R
 --R                   +-+              +-+
---R   (427)  - 2log(3\|x  + 1) + 2log(\|x )
+--R   (424)  - 2log(3\|x  + 1) + 2log(\|x )
 --R                                          Type: Union(Expression Integer,...)
 --E 459
 
@@ -14682,7 +14651,7 @@ m0384:= a0384-r0384
 --R
 --R                                                  +-+
 --R                   +-+              +-+         3\|x  + 1
---R   (428)  - 2log(3\|x  + 1) + 2log(\|x ) + 2log(---------)
+--R   (425)  - 2log(3\|x  + 1) + 2log(\|x ) + 2log(---------)
 --R                                                    +-+
 --R                                                   \|x
 --R                                                     Type: Expression Integer
@@ -14692,7 +14661,7 @@ m0384:= a0384-r0384
 d0384:= D(m0384,x)
 --R 
 --R
---R   (429)  0
+--R   (426)  0
 --R                                                     Type: Expression Integer
 --E 461
 
@@ -14702,7 +14671,7 @@ t0385:= (x+x^(5/2))^(1/2)
 --R
 --R           +----------+
 --R           | 2 +-+
---R   (430)  \|x \|x  + x
+--R   (427)  \|x \|x  + x
 --R                                                     Type: Expression Integer
 --E 462
 
@@ -14713,7 +14682,7 @@ r0385:= 4/9*(x*(1+x^(3/2)))^(3/2)/x^(3/2)
 --R                       +----------+
 --R              +-+      | 2 +-+
 --R          (4x\|x  + 4)\|x \|x  + x
---R   (431)  -------------------------
+--R   (428)  -------------------------
 --R                      +-+
 --R                    9\|x
 --R                                                     Type: Expression Integer
@@ -14726,7 +14695,7 @@ a0385:= integrate(t0385,x)
 --R                        +----------+
 --R             +-+     2  | 2 +-+
 --R          (4\|x  + 4x )\|x \|x  + x
---R   (432)  --------------------------
+--R   (429)  --------------------------
 --R                      9x
 --R                                          Type: Union(Expression Integer,...)
 --E 464
@@ -14735,7 +14704,7 @@ a0385:= integrate(t0385,x)
 m0385:= a0385-r0385
 --R 
 --R
---R   (433)  0
+--R   (430)  0
 --R                                                     Type: Expression Integer
 --E 465
 
@@ -14743,7 +14712,7 @@ m0385:= a0385-r0385
 d0385:= D(m0385,x)
 --R 
 --R
---R   (434)  0
+--R   (431)  0
 --R                                                     Type: Expression Integer
 --E 466
 
@@ -14753,7 +14722,7 @@ t0386:= (x^(1/4)+x)^(1/2)
 --R
 --R           +--------+
 --R           |4+-+
---R   (435)  \|\|x  + x
+--R   (432)  \|\|x  + x
 --R                                                     Type: Expression Integer
 --E 467
 
@@ -14765,7 +14734,7 @@ r0386:= 1/3*((1+x^(3/4))*x^(1/4))^(1/2)*((1+x^(3/4))^(1/2)*x^(3/8)+_
 --R                           +--------+ +---------+                +--------+
 --R           8+-+3     8+-+  |4+-+      |4+-+3              8+-+3  |4+-+
 --R          (\|x   + 2x\|x )\|\|x  + x \|\|x   + 1  - asinh(\|x  )\|\|x  + x
---R   (436)  -----------------------------------------------------------------
+--R   (433)  -----------------------------------------------------------------
 --R                                        +---------+
 --R                                   8+-+ |4+-+3
 --R                                  3\|x \|\|x   + 1
@@ -14788,7 +14757,7 @@ r0386:= 1/3*((1+x^(3/4))*x^(1/4))^(1/2)*((1+x^(3/4))^(1/2)*x^(3/8)+_
 t0387:= (a*x^m+b*x^(6*m+1))^5
 --R 
 --R
---R   (437)
+--R   (434)
 --R      5  6m + 1 5       4 m  6m + 1 4      2 3  m 2  6m + 1 3
 --R     b (x      )  + 5a b x (x      )  + 10a b (x ) (x      )
 --R   + 
@@ -14801,7 +14770,7 @@ t0387:= (a*x^m+b*x^(6*m+1))^5
 r0387:= 1/6*(a+b*x^(1+5*m))^6/b/(1+5*m)
 --R 
 --R
---R   (438)
+--R   (435)
 --R        6  5m + 1 6       5  5m + 1 5      2 4  5m + 1 4      3 3  5m + 1 3
 --R       b (x      )  + 6a b (x      )  + 15a b (x      )  + 20a b (x      )
 --R     + 
@@ -14816,7 +14785,7 @@ r0387:= 1/6*(a+b*x^(1+5*m))^6/b/(1+5*m)
 a0387:= integrate(t0387,x)
 --R 
 --R
---R   (439)
+--R   (436)
 --R        5 6   m log(x) 30       4 5   m log(x) 25      2 3 4   m log(x) 20
 --R       b x (%e        )   + 6a b x (%e        )   + 15a b x (%e        )
 --R     + 
@@ -14831,7 +14800,7 @@ a0387:= integrate(t0387,x)
 m0387:= a0387-r0387
 --R 
 --R
---R   (440)
+--R   (437)
 --R        6 6   m log(x) 30       5 5   m log(x) 25      2 4 4   m log(x) 20
 --R       b x (%e        )   + 6a b x (%e        )   + 15a b x (%e        )
 --R     + 
@@ -14852,7 +14821,7 @@ m0387:= a0387-r0387
 d0387:= D(m0387,x)
 --R 
 --R
---R   (441)
+--R   (438)
 --R      5 5   m log(x) 30       4 4   m log(x) 25      2 3 3   m log(x) 20
 --R     b x (%e        )   + 5a b x (%e        )   + 10a b x (%e        )
 --R   + 
@@ -14872,7 +14841,7 @@ t0388:= 1/(a*x^m+b*x^(1-2*m))^3
 --R 
 --R
 --R                                            1
---R   (442)  --------------------------------------------------------------------
+--R   (439)  --------------------------------------------------------------------
 --R           3  m 3     2   - 2m + 1  m 2       2  - 2m + 1 2 m    3  - 2m + 1 3
 --R          a (x )  + 3a b x        (x )  + 3a b (x        ) x  + b (x        )
 --R                                                     Type: Expression Integer
@@ -14882,7 +14851,7 @@ t0388:= 1/(a*x^m+b*x^(1-2*m))^3
 r0388:= -1/2/b/(1-3*m)/(a+b*x^(1-3*m))^2
 --R 
 --R
---R   (443)
+--R   (440)
 --R                                     1
 --R   ---------------------------------------------------------------------
 --R      3      3   - 3m + 1 2         2        2  - 3m + 1     2        2
@@ -14894,7 +14863,7 @@ r0388:= -1/2/b/(1-3*m)/(a+b*x^(1-3*m))^2
 a0388:= integrate(t0388,x)
 --R 
 --R
---R   (444)
+--R   (441)
 --R               m log(x) 3      2
 --R     - 2a x (%e        )  - b x
 --R  /
@@ -14910,7 +14879,7 @@ a0388:= integrate(t0388,x)
 m0388:= a0388-r0388
 --R 
 --R
---R   (445)
+--R   (442)
 --R          4   m log(x) 6
 --R       - a (%e        )
 --R     + 
@@ -14950,7 +14919,7 @@ m0388:= a0388-r0388
 d0388:= D(m0388,x)
 --R 
 --R
---R   (446)
+--R   (443)
 --R          3 - 3m   m log(x) 9
 --R       - a x    (%e        )
 --R     + 
@@ -14995,7 +14964,7 @@ t0389:= (1/x^3)^(1/3)
 --R
 --R           +--+
 --R           | 1
---R   (447)   |--
+--R   (444)   |--
 --R          3| 3
 --R          \|x
 --R                                                     Type: Expression Integer
@@ -15007,7 +14976,7 @@ r0389:= (1/x^3)^(1/3)*x*log(x)
 --R
 --R                    +--+
 --R                    | 1
---R   (448)  x log(x)  |--
+--R   (445)  x log(x)  |--
 --R                   3| 3
 --R                   \|x
 --R                                                     Type: Expression Integer
@@ -15017,7 +14986,7 @@ r0389:= (1/x^3)^(1/3)*x*log(x)
 a0389:= integrate(t0389,x)
 --R 
 --R
---R   (449)  log(x)
+--R   (446)  log(x)
 --R                                          Type: Union(Expression Integer,...)
 --E 484
 
@@ -15027,7 +14996,7 @@ m0389:= a0389-r0389
 --R
 --R                      +--+
 --R                      | 1
---R   (450)  - x log(x)  |-- + log(x)
+--R   (447)  - x log(x)  |-- + log(x)
 --R                     3| 3
 --R                     \|x
 --R                                                     Type: Expression Integer
@@ -15042,7 +15011,7 @@ d0389:= D(m0389,x)
 --R          x   |--  - 1
 --R             3| 3
 --R             \|x
---R   (451)  ------------
+--R   (448)  ------------
 --R                +--+2
 --R             3  | 1
 --R            x   |--
